
QGIS Application - Bug report #21349

QGIS Clip and Difference  - GEOS geoprocessing error: intersection failed.

2019-02-22 12:17 PM - Lene Fischer

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 29167

Description

Trying to clip and difference vector layers. But it fails.

Tride both Geopackage and SHP same result.

The datasets has been checked in topology checker.

Attached file. Use layer gravplads against gravsted

History

#1 - 2019-02-22 01:41 PM - Giovanni Manghi

- Status changed from Open to Feedback

Hi Lene, there is no "gravplads" layer in the gpkg.

#2 - 2019-02-22 01:43 PM - Lene Fischer

- File deleted (kirkegaard.gpkg)

#3 - 2019-02-22 01:44 PM - Lene Fischer

- File kirkegaard.gpkg added

#4 - 2019-02-22 07:23 PM - Lene Fischer

- File deleted (kirkegaard.gpkg)

#5 - 2019-02-22 07:24 PM - Lene Fischer

- Subject changed from Clip  - GEOS geoprocessing error: intersection failed. to QGIS Clip and Difference  - GEOS geoprocessing error: intersection 

failed.

- File test.gpkg added

I have uploadet a smaller geopackage

#6 - 2019-02-23 10:59 PM - Giovanni Manghi

Just one more case of the inconsistency that we have in the tools to check geometries: as I raised a few times in the past they all yields different results.

If you fix your layers with the "fix geometries" tool (that is based on the excellent st_makevalid) then the operation runs without issues...

2025-04-27 1/2



#7 - 2019-02-23 11:28 PM - Lene Fischer

So sorry - I thought that checking with the topology checker was the best method to control features.

When there was no errors I didn´t run the fix geometries.

#8 - 2019-02-23 11:41 PM - Giovanni Manghi

Lene Fischer wrote:

So sorry - I thought that checking with the topology checker was the best method to control features.

the topology checker (that despite the name can also check for geometry issues) is great, as a simple way foe users to choose what they want to check, it

does not fix anything... so is bit limited

the geometry checker (that despite the name can also check for topolgy issues) gives a lot of options, can fix errors... but honestly is not a great ux

the two above usually yeld slightly different results

anyway, if you want to fix geometries without worrying about parameters, etc... just use postgis st_makevalid (st_IsValidReason if you want to know what

error is) or its QGIS incarnation.

closing?

#9 - 2019-03-09 08:33 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

I'm closing Lene because the real problem is the total inconsistency we have among the tools that can check/fix geometries. This issue should really need

to be addressed, not even sure if a ticket would be the right starting point.

Files

test.gpkg 500 KB 2019-02-22 Lene Fischer
